"""
This is the main module of the Discord Bot

Mainly loads the Cog's and starts the bot
"""

__version__ = '0.5'
__author__ = 'Bibin Muttappillil'

# standard library imports
import os
from dotenv import load_dotenv

# discord imports
from discord.ext import commands


# Token stuff
load_dotenv()
TOKEN = os.getenv('DISCORD_TOKEN')
if TOKEN is None:
	print("Missing discord token!")
	exit(1)

bot = commands.Bot(command_prefix=commands.when_mentioned_or('$b '))

default_extensions = ['developer']

for extension in default_extensions:
	bot.load_extension(f'cogs.{extension}')

@bot.command()
@commands.is_owner()
async def load(ctx, extension):
	bot.load_extension(f'cogs.{extension}')
	print(f'cogs.{extension} loaded')

@bot.command()
@commands.is_owner()
async def unload(ctx, extension):
	bot.unload_extension(f'cogs.{extension}')
	print(f'cogs.{extension} unloaded')

@bot.command()
@commands.is_owner()
async def reload(ctx, extension):
	bot.reload_extension(f'cogs.{extension}')
	print(f'cogs.{extension} reloaded')

bot.run(TOKEN)
