import discord
from discord.ext import commands


class Developer(commands.Cog):
	"""This class is intended only for the developer, mainly for testing purposes"""

	def __init__(self, bot):
		self.bot = bot

	@commands.Cog.listener()
	async def on_ready(self):
		await self.bot.change_presence(status=discord.Status.online, activity=discord.Game('$b help'))
		print('We have logged in as {0.user}'.format(self.bot))

	@commands.command()
	async def hello(self, ctx):
		await ctx.send(f"Hello {ctx.message.author.name} :wave:")

	@commands.command()
	@commands.is_owner()
	async def logout(self, ctx):
		"""Shut down the bot"""
		await self.bot.logout()

def setup(bot):
	bot.add_cog(Developer(bot))
